Bug 1322551 - OSDs on 7.1 are not starting after ceph-deploy installation.
Summary: OSDs on 7.1 are not starting after ceph-deploy installation.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 1.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 1.3.3
Assignee: Alfredo Deza
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-30 17:35 UTC by Warren
Modified: 2017-07-30 15:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-23 16:52:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1320574 None None None Never

Internal Links: 1320574

Description Warren 2016-03-30 17:35:38 UTC
Description of problem:
I need to manually start OSDs after installation to bring a cluster up

Version-Release number of selected component (if applicable):
RHEL 7.1, Ceph 1.3

How reproducible:
100% of the time.

Steps to Reproduce:
Bring up a ceph cluster using ceph-deploy
run ceph osd tree after adding the OSDs

Actual results:
All the OSDs are marked down

Expected results:
OSDs should not be down.

Additional info:
Run:
sudo service ceph -a start osd
after that and the cluster comes up fine.

Comment 1 Warren 2016-03-30 17:36:20 UTC
This may also be the problem seen in 1320574

Comment 3 Warren 2016-03-31 00:17:38 UTC
Upon further review, the following does not seem to start an osd:

ceph-deploy disk zap magna037:sdb
ceph-deploy osd create magna037:sdb

But the following does start the osd:

ceph-deploy disk zap magna037:sdb
ceph-deploy osd prepare magna037:sdb
ceph-deploy osd activate magna037:sdb1:sdb2

Comment 4 Kefu Chai 2016-03-31 12:09:02 UTC
it sounds like an issue in ceph-deploy.

Comment 5 Alfredo Deza 2016-04-01 16:18:51 UTC
@Warren, I think the ceph-deploy behavior on 7.N is expected. "create" is not used and "prepare + activate" is what our docs say:

https://access.redhat.com/documentation/en/red-hat-ceph-storage/version-1.2.3/red-hat-ceph-storage-123-installation-guide-for-rhel-x86-64/

Comment 6 Christina Meno 2016-04-09 13:40:47 UTC
Warren, 

Do Alfredo's suggestions in https://bugzilla.redhat.com/show_bug.cgi?id=1322551#c5 resolve your issue?

Comment 8 Warren 2016-05-23 16:52:06 UTC
The prepare and activate combination works.


Note You need to log in before you can comment on or make changes to this bug.